curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l1villgoiiidt09ci&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.tiktok.com/@mrbeast"}, {"url": "https://www.tiktok.com/@charlidamelio"}]}'[
{
"account_id": "123456789",
"nickname": "Example Creator",
"biography": "Content creator and storyteller",
"bio_link": "https://example.com",
"is_verified": true,
"followers": 150000000,
"following": 800,
"likes": 3200000000,
"videos_count": 950,
"create_time": "2018-05-20T00:00:00.000Z",
"url": "https://www.tiktok.com/@examplecreator",
"profile_pic_url": "https://p16-sign-sg.tiktokcdn.com/example-avatar~100x100.jpeg",
"profile_pic_url_hd": "https://p16-sign-sg.tiktokcdn.com/example-avatar~720x720.jpeg",
"awg_engagement_rate": 0.0432,
"is_private": false,
"region": "US"
}
]
TikTok
Collect TikTok profiles by URL
Use the Bright Data Web Scraper API to collect TikTok profiles by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_l1villgoiiidt09ci&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.tiktok.com/@mrbeast"}, {"url": "https://www.tiktok.com/@charlidamelio"}]}'[
{
"account_id": "123456789",
"nickname": "Example Creator",
"biography": "Content creator and storyteller",
"bio_link": "https://example.com",
"is_verified": true,
"followers": 150000000,
"following": 800,
"likes": 3200000000,
"videos_count": 950,
"create_time": "2018-05-20T00:00:00.000Z",
"url": "https://www.tiktok.com/@examplecreator",
"profile_pic_url": "https://p16-sign-sg.tiktokcdn.com/example-avatar~100x100.jpeg",
"profile_pic_url_hd": "https://p16-sign-sg.tiktokcdn.com/example-avatar~720x720.jpeg",
"awg_engagement_rate": 0.0432,
"is_private": false,
"region": "US"
}
]
Query Parameters
string
default:"gd_l1villgoiiidt09ci"
required
The dataset ID used for this request.
Must be set to
gd_l1villgoiiidt09ci to collect Profiles by URL data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"account_id": "123456789",
"nickname": "Example Creator",
"biography": "Content creator and storyteller",
"bio_link": "https://example.com",
"is_verified": true,
"followers": 150000000,
"following": 800,
"likes": 3200000000,
"videos_count": 950,
"create_time": "2018-05-20T00:00:00.000Z",
"url": "https://www.tiktok.com/@examplecreator",
"profile_pic_url": "https://p16-sign-sg.tiktokcdn.com/example-avatar~100x100.jpeg",
"profile_pic_url_hd": "https://p16-sign-sg.tiktokcdn.com/example-avatar~720x720.jpeg",
"awg_engagement_rate": 0.0432,
"is_private": false,
"region": "US"
}
]
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Must be gd_l1villgoiiidt09ci for this dataset.
Send notifications when the request is completed.
Include errors in the response.
Body
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
Response
200 - application/json
OK. See response example below the parameters.
Was this page helpful?